--- 
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata: 
  name: lgg:view
rules: 
  - apiGroups: 
      - ""
      - admissionregistration.k8s.io
      - storage.k8s.io
      - apps
      - certificates.k8s.io
      - batch
      - extensions
      - policy
      - autoscaling
      - networking.k8s.io
    resources: 
      - validatingwebhookconfigurations
      - storageclasses
      - replicasets
      - statefulsets
      - resourcequotas
      - services
      - replicationcontrollers
      - secrets
      - endpoints
      - volumeattachments
      - certificatesigningrequests
      - cronjobs
      - deployments
      - ingresses
      - mutatingwebhookconfigurations
      - jobs
      - daemonsets
      - poddisruptionbudgets
      - horizontalpodautoscalers
      - networkpolicies
      - persistentvolumeclaims
      - limitranges
      - nodes
      - resourcequotas
      - replicationcontrollers
      - services
      - endpoints
      - configmaps
      - persistentvolumes
      - secrets
      - namespaces
      - pods
    verbs: 
      - list
      - watch
